package server

func filter(data [][]string, f func([]string) bool) [][]string {
	result := make([][]string, 0, len(data))

	for _, e := range data {
		if f(e) {
			result = append(result, e)
		}
	}

	return result
}
